package rolesdb

import (
	"context"

	"github.com/tech/sendico/pkg/db/repository"
	"github.com/tech/sendico/pkg/model"
	mutil "github.com/tech/sendico/pkg/mutil/db"
	"go.mongodb.org/mongo-driver/v2/bson"
)

func (db *RolesDB) Roles(ctx context.Context, refs []bson.ObjectID) ([]model.RoleDescription, error) {
	filter := repository.Query().In(repository.IDField(), refs)
	return mutil.GetObjects[model.RoleDescription](ctx, db.Logger, filter, nil, db.Repository)
}
